Bug 4702 - Compilation of dynconfig.c for 3.0.25/3.0.25a fails under Tru64 4.0f
Compilation of dynconfig.c for 3.0.25/3.0.25a fails under Tru64 4.0f
Status: ASSIGNED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.25a
Alpha OSF/1
: P3 regression
: none
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 11:02 UTC by Scott McAskill
Modified: 2008-04-11 11:24 UTC (History)
2 users (show)

See Also:


Attachments
Here's the compilation log for 3.0.25 (5.89 KB, text/plain)
2007-06-15 11:04 UTC, Scott McAskill
no flags Details
output of configure for 3.0.28a (42.44 KB, text/plain)
2008-03-24 10:20 UTC, Scott McAskill
no flags Details
config.log for 3.0.28a (483.39 KB, application/x-compress)
2008-03-24 10:27 UTC, Scott McAskill
no flags Details
output of make for 3.0.28a (5.21 KB, text/plain)
2008-03-24 10:28 UTC, Scott McAskill
no flags Details
output of configure for 3.2.0pre2 (4.24 KB, text/plain)
2008-03-24 10:30 UTC, Scott McAskill
no flags Details
config.log for 3.2.0pre2 (115.50 KB, text/plain)
2008-03-24 10:31 UTC, Scott McAskill
no flags Details
configure script for 3.2.0pre2 (gzipped) (159.98 KB, application/x-gzip)
2008-03-25 06:46 UTC, Michael Adam
no flags Details
3.0.28a prototypes patch (util_tdb) (731 bytes, patch)
2008-03-25 06:49 UTC, Michael Adam
no flags Details
Output of new 3.2.0pre2 configure script (46.16 KB, text/plain)
2008-03-26 10:41 UTC, Scott McAskill
no flags Details
new config.log for 3.2.0pre2 (570.58 KB, application/x-compress)
2008-03-26 10:48 UTC, Scott McAskill
no flags Details
output of make for 3.2.0pre2 (282.00 KB, text/plain)
2008-03-26 10:49 UTC, Scott McAskill
no flags Details
output of make for patched 3.0.28a (341.07 KB, text/plain)
2008-03-26 11:00 UTC, Scott McAskill
no flags Details
patch: Try to fix the 3.0.28a build (706 bytes, patch)
2008-04-07 10:36 UTC, Michael Adam
no flags Details
patch: fix build netapi 3.2 (412 bytes, patch)
2008-04-07 10:45 UTC, Michael Adam
no flags Details
output from autogen, etc. after applying 3.0.28a patch (4.40 KB, text/plain)
2008-04-11 11:20 UTC, Scott McAskill
no flags Details
Output from autogen, etc after applying patch for 3.2.0pre2 (1.01 KB, text/plain)
2008-04-11 11:24 UTC, Scott McAskill
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scott McAskill 2007-06-15 11:02:51 UTC
Running make fails on dynconfig.c for both samba 3.0.25 and 3.0.25a under HP Tru64 4.0f.
Comment 1 Scott McAskill 2007-06-15 11:04:32 UTC
Created attachment 2759 [details]
Here's the compilation log for 3.0.25
Comment 2 Scott McAskill 2008-03-13 07:49:56 UTC
Has there been any action on resolving on this problem? Is there any hope that there will be a fix? Every new version of Samba beyond 3.0.24 fails to build under Tru64 4.0f. Thanks.
Comment 3 Michael Adam 2008-03-20 16:38:45 UTC
Hi Scott,

We are continuously monitoring the ability to build and run samba on various platforms in our build farm: http://build.samba.org/ . But we are building the current development branch, which is v3-2-test (the development branch for the upcoming release of Samba 3.2.0). We only have one Tru64 machine at our disposal, which is a "V5.1B-4-PK6" (uname says "OSF1 axp V5.1 2650 alpha"). v3-2-test builds ok there. A lot of work and changes have gone into the build system since 3.0.24. 

Could you please try if the current 3.0.28a releas brings any improvement?
You can download the tarball at http://us4.samba.org/samba/ftp/stable/samba-3.0.28a.tar.gz

As an onther attept, you could try to build the current v3-2-test branch (or the 3.2.0pre2 tarball available at http://download.samba.org/samba/ftp/pre/samba-3.2.0pre2.tar.gz). We know that this builds on our Tru64 machine.

To further track down your concrete problem, we would need more information about your build:
 * exact configure command.
 * output of configure
 * config.log file
 * make output for that build

Of course, access to a test machine would facilitate debugging... :-)

Generally, you could help us monitoring the build succes by adding a Tru64 machine to our build farm, following the instructions you can find at http://build.samba.org/instructions.html .

Cheers - Michael
Comment 4 Scott McAskill 2008-03-24 10:20:44 UTC
Created attachment 3195 [details]
output of configure for 3.0.28a
Comment 5 Scott McAskill 2008-03-24 10:27:42 UTC
Created attachment 3196 [details]
config.log for 3.0.28a

compressed (.Z) file
Comment 6 Scott McAskill 2008-03-24 10:28:26 UTC
Created attachment 3197 [details]
output of make for 3.0.28a
Comment 7 Scott McAskill 2008-03-24 10:30:25 UTC
Created attachment 3198 [details]
output of configure for 3.2.0pre2
Comment 8 Scott McAskill 2008-03-24 10:31:05 UTC
Created attachment 3199 [details]
config.log for 3.2.0pre2
Comment 9 Scott McAskill 2008-03-24 10:35:15 UTC
As requested, I've attached the output of configure, the config.log and the output of make for 3.0.28. Please note that configure failed for 3.2.0pre2 with "error: c99 structure initializer are not supported", so there is no output of make for that build.
Comment 10 Michael Adam 2008-03-25 06:42:53 UTC
Hi Scott,

thanks for the details. Here are the comments:

* The configure error:
For 3.2.0pre2, apparently a slightly older version of autoconf has been used to create the "configure" script. The version used for the 3.0.28a tarball seems to have a newer and apparently better detection for preprocessor flags for the OSF 4.0 compiler. So you could either re-generate configure by running "./autogen.sh" from the source directory if you have autoconf installed. Or use the freshly generated configure script I am going to attach next.

* For the compile error:
There is a problem with conflicting prototypes for lib/util_tdb.c that the other compilers seem to be not strict enough to complain that badly. The reason for the problem is that there is on the on hand the hand-written header includes/util_tdb.h and on the other hand the generated prototypes in includes/proto.h. The proper fix (that I am working on for 3.2.) is not to autogenerate prototypes for util_tdb.c. The quick fix is to simply remove or comment out the prototypes from util_tdb.h (and simply leave the data type definitions). I am going to attach a patch for that that you can apply against 3.0.28a to test again.

Cheers, Michael
Comment 11 Michael Adam 2008-03-25 06:46:20 UTC
Created attachment 3206 [details]
configure script for 3.2.0pre2 (gzipped)

This a configure script for 3.2.0pre2 generated with a newer version of autoconf than the one present in the 3.2.0pre2 tarball. It contains better support for the OSF 4.0 compiler.
Comment 12 Michael Adam 2008-03-25 06:49:18 UTC
Created attachment 3207 [details]
3.0.28a prototypes patch (util_tdb)

This is a proof-of-concept patch against 3.0.28a that removes the unmaintained handwritten prototypes from includes/util_tdb.h.
Comment 13 Scott McAskill 2008-03-26 10:41:14 UTC
Created attachment 3216 [details]
Output of new 3.2.0pre2 configure script

Michael,

The new configure script completed OK, but make failed (output to follow)...
Comment 14 Scott McAskill 2008-03-26 10:48:02 UTC
Created attachment 3217 [details]
new config.log for 3.2.0pre2

This is a compressed (.Z) file.
Comment 15 Scott McAskill 2008-03-26 10:49:43 UTC
Created attachment 3218 [details]
output of make for 3.2.0pre2
Comment 16 Scott McAskill 2008-03-26 11:00:08 UTC
Created attachment 3219 [details]
output of make for patched 3.0.28a

Michael,

I applied the patch to util_tdb, but compilation failed with "cc: Severe ./lib/netapi/netapi.h, line 27: Cannot find file <inttypes.h> specified in #include directive. (noinclfile)"
Comment 17 Michael Adam 2008-04-07 10:33:30 UTC
Hi Scott,

what you encountered are two separate probelms.

For the 3.2.0pre2 build, I add Günther Deschner, the author of the new
libnetapi code, to the Cc list of this bug.

The 3.0.28a problem looks very strange to me.
I'll attach a patch you can try next.

Cheers, Michael
Comment 18 Michael Adam 2008-04-07 10:36:49 UTC
Created attachment 3248 [details]
patch: Try to fix the 3.0.28a build

This is a blind attempt to fix the 3.0.28a build by moving the
prototype of the nonexisting function into the 
"ifdef HAVE_COMPILER_WILL_OPTIMIZE_OUT_FNS ..." block.

I can't believe that this is the reason though, since the test succeeded in the config.log of 3.2.0pre2 supplied...
Comment 19 Michael Adam 2008-04-07 10:39:04 UTC
Scott, 

when testing the build, please make sure to run make realdistclean first
(or start from a fresh unpack of the tarball, applying my two patches).

Then run

autogen.sh && configure [<opts>] && make proto && make [everything]

Thanks, Michael

Comment 20 Michael Adam 2008-04-07 10:45:17 UTC
Created attachment 3249 [details]
patch: fix build netapi 3.2

This tries to fix the build of 3.2.0pre2.
Please test
Comment 21 Guenther Deschner 2008-04-08 17:21:00 UTC
(In reply to comment #17)
> Hi Scott,
> 
> what you encountered are two separate probelms.
> 
> For the 3.2.0pre2 build, I add Günther Deschner, the author of the new
> libnetapi code, to the Cc list of this bug.

That one should be fixed now.
Comment 22 Michael Adam 2008-04-09 02:41:09 UTC
(In reply to comment #21)
> (In reply to comment #17)
> > Hi Scott,
> > 
> > what you encountered are two separate probelms.
> > 
> > For the 3.2.0pre2 build, I add Günther Deschner, the author of the new
> > libnetapi code, to the Cc list of this bug.
> 
> That one should be fixed now.

To clarify: the inttypes include has been removed in commit a4e3bc2bade8bf74696e1c6ced74da563ff2df7b:

http://gitweb.samba.org/?p=samba.git;a=commit;h=a4e3bc2bade8bf74696e1c6ced74da563ff2df7b



Comment 23 Scott McAskill 2008-04-11 11:20:19 UTC
Created attachment 3262 [details]
output from autogen, etc. after applying 3.0.28a patch 

FYI, Tru64 does not have autogen/autoheader so I had to install gnu autogen-2.53 and m4-1.4. After autogen finished, configure failed with "c99: structure intitialzer are not supported" error.
Comment 24 Scott McAskill 2008-04-11 11:24:42 UTC
Created attachment 3263 [details]
Output from autogen, etc after applying patch for 3.2.0pre2

After autogen finished, I received various configure "possible undefined macro" errors.